name: Test
on: [ pull_request ]

jobs:
  run_tests:
    name: Run tests
    runs-on: ubuntu-20.04

    steps:
      - name: Checkout code
        uses: actions/checkout@v2

      - name: Build
        uses: ./.github/actions/build

      - name: Run lint
        run: ./node_modules/.bin/eslint src/ --output-file eslint_report.json --format json --ignore-path .gitignore

      - name: Annotate lint failures
        if: ${{ failure() }}
        uses: ataylorme/eslint-annotate-action@1.2.0
        with:
          repo-token: "${{ secrets.GITHUB_TOKEN }}"
          report-json: "eslint_report.json"

# Disable this because it is slow
#      - name: Run build
#        run: yarn build

      - name: Run tests
        run: yarn test
